@import "../base/reset";
@import "../abstracts/variables";
@import "../abstracts/mixins";

.header__wrapper {
  padding-top: 23px;
  padding-left: 25px;
  padding-right: 25px;
  padding-bottom: 38px;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  gap: 23px;
}

.header__burger {
  width: 47px;
  height: 37px;
  background-color: #000000;
  position: relative;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  cursor: pointer;
  user-select: none;
  &-item {
    &:hover {
      background-color: $burgerHover;
    }
  }
  &-menu-icon-add {
    background-image: url("../../img/header/menu-button.png");
  }
  &-menu-icon-close {
    background-image: url("../../img/header/close.svg");
  }
  &-item {
    background-color: #f5f5f5;
    padding-left: 13px;
    padding-right: 56px;
    &:not(:last-child) {
      padding-bottom: 8px;
    }
  }
  &-link {
    font-weight: 400;
    font-size: 11px;
    line-height: 22px;
    letter-spacing: 1.1px;
    text-transform: uppercase;
    text-decoration: none;
    color: $primaryTextColor;
  }
}

.header__burger-menu {
  position: absolute;
  left: -113px;
  top: 37px;
  z-index: 9;
  background-image: none;
}

.header__image-container {
  position: relative;
  & > img {
    width: 100%;
    height: 100%;
  }
}
.header__menu {
  @include display(none);
}

// tablet

@media (min-width: $min-media-tablet) {
  .header__wrapper {
    padding-top: 41px;
    padding-left: 80px;
    padding-right: 80px;
    padding-bottom: 56px;
    justify-content: center;
    align-items: center;
  }
  .header__burger {
    @include display(none);
  }
  .header__menu {
    @include display(block);
    &-list {
      @include flex(row, center, center, 24px);
    }
    &-link {
      text-decoration: none;
      font-size: 11px;
      line-height: 22px;
      cursor: pointer;
      letter-spacing: 1.1px;
      text-transform: uppercase;
      color: $primaryTextColor;
    }
  }
}

// PC version

@media (min-width: $min-media-desktop) {
  .header__wrapper {
    padding-bottom: 66px;
    padding-top: 45px;
    justify-content: center;
  }
  .header__burger {
    @include display(none);
  }
  .header__menu {
    @include display(block);
    &-list {
      @include flex(row, center, center, 34px);
    }
    &-link {
      text-decoration: none;
      font-size: 11px;
      line-height: 22px;
      cursor: pointer;
      letter-spacing: 1.1px;
      text-transform: uppercase;
      color: $primaryTextColor;
    }
  }
}

// display-none
.display-none {
  @include display(none);
}

//active
.active-btn {
  color: $activeBtnClr;
}
